curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/blacklist/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"orderColumn": null,
"orderDirection": null,
"id": null,
"types": null,
"match_type": null,
"value": null,
"reason": null,
"message": null,
"payment_method_ids": null,
"enabled": null,
"active_from": null,
"active_to": null,
"created_at_from": null,
"created_at_to": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blacklist/export"
payload = {
"page": 1,
"perPage": None,
"orderColumn": None,
"orderDirection": None,
"id": None,
"types": None,
"match_type": None,
"value": None,
"reason": None,
"message": None,
"payment_method_ids": None,
"enabled": None,
"active_from": None,
"active_to": None,
"created_at_from": None,
"created_at_to": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
orderColumn: null,
orderDirection: null,
id: null,
types: null,
match_type: null,
value: null,
reason: null,
message: null,
payment_method_ids: null,
enabled: null,
active_from: null,
active_to: null,
created_at_from: null,
created_at_to: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blacklist/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"ID,Type,Match Type,Value,Reason,Message,Enabled,Payment Method IDs,Active From,Active To,Created At,Updated At\n1,email,exact,blocked@sellauth.test,Example entry,,1,,,,2026-07-24 12:00:00,2026-07-24 12:00:00"Export Blacklist
Exports the blacklist entries to CSV. Accepts the same filters as Get Blacklist. Limited to 50000 rows.
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
Page number.
1
Items per page, 1-100. Must be at least 1. Must not be greater than 100.
null
id, value, type, match_type, reason, enabled, created_at null
asc, desc null
Filter by entry ID.
null
null
exact, regex null
Filter by blacklisted value.
null
Filter by reason.
null
Filter by message.
null
Filter by payment method IDs.
null
Only enabled or disabled entries.
null
Must be a valid date.
null
Must be a valid date. Must be a date after active_from.
null
Must be a valid date.
null
Must be a valid date. Must be a date after created_at_from.
null
Response
CSV file download
The response is of type string.
"ID,Type,Match Type,Value,Reason,Message,Enabled,Payment Method IDs,Active From,Active To,Created At,Updated At\n1,email,exact,blocked@sellauth.test,Example entry,,1,,,,2026-07-24 12:00:00,2026-07-24 12:00:00"